org.apache.solr.common.params

## Class CoreAdminParams

- java.lang.Object
- - org.apache.solr.common.params.CoreAdminParams

-     public abstract class CoreAdminParams
      extends Object

  Since:
    solr 1.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CoreAdminParams.CoreAdminAction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION` What action
    `static String` | `BACKUP_LOCATION` A parameter to specify the location where the backup should be stored.
    `static String` | `BACKUP_REPOSITORY` A parameter to specify the name of the backup repository to be used.
    `static String` | `COLLECTION` The collection name in solr cloud
    `static String` | `COMMIT_NAME` A parameter to specify the name of the commit to be stored during the backup operation.
    `static String` | `CONFIG` If you specify a config, what is its name
    `static String` | `CONFIGSET` If you specify a configset, what is its name
    `static String` | `CORE` What Core are we talking about
    `static String` | `CORE_NODE_NAME`
    `static String` | `DATA_DIR` Core data directory
    `static String` | `DELETE_DATA_DIR`
    `static String` | `DELETE_INDEX` If you unload a core, delete the index too
    `static String` | `DELETE_INSTANCE_DIR`
    `static String` | `FILE` If you specify a file, what is its name
    `static String` | `INDEX_DIR` If you merge indexes, what are the index directories.
    `static String` | `INDEX_INFO` Should the STATUS request include index info
    `static String` | `INSTANCE_DIR` Specifies a core instance dir.
    `static String` | `LOAD_ON_STARTUP`
    `static String` | `NAME` If you rename something, what is the new name
    `static String` | `NEW_COLLECTION` A boolean parameter specifying if a core is being created as part of a new collection
    `static String` | `NODE`
    `static String` | `OTHER` Name of the other core in actions involving 2 cores
    `static String` | `PROPERTY_PREFIX` Prefix for core property name=value pair
    `static String` | `RANGES` The hash ranges to be used to split a shard or an index
    `static String` | `REPLICA` The replica name in solr cloud
    `static String` | `REQUESTID`
    `static String` | `ROLES`
    `static String` | `SCHEMA` If you specify a schema, what is its name
    `static String` | `SHARD` The shard id in solr cloud
    `static String` | `SRC_CORE` If you merge indexes, what is the source core's name More than one source core can be specified by multiple srcCore parameters
    `static String` | `TARGET_CORE` The target core to which a split index should be written to Multiple targetCores can be specified by multiple targetCore parameters
    `static String` | `TRANSIENT`
    `static String` | `ULOG_DIR` Core updatelog directory

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreAdminParams()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CORE

          public static final String CORE

      What Core are we talking about
      See Also:
        Constant Field Values

    - #### INDEX_INFO

          public static final String INDEX_INFO

      Should the STATUS request include index info
      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      If you rename something, what is the new name
      See Also:
        Constant Field Values

    - #### DATA_DIR

          public static final String DATA_DIR

      Core data directory
      See Also:
        Constant Field Values

    - #### ULOG_DIR

          public static final String ULOG_DIR

      Core updatelog directory
      See Also:
        Constant Field Values

    - #### OTHER

          public static final String OTHER

      Name of the other core in actions involving 2 cores
      See Also:
        Constant Field Values

    - #### ACTION

          public static final String ACTION

      What action
      See Also:
        Constant Field Values

    - #### SCHEMA

          public static final String SCHEMA

      If you specify a schema, what is its name
      See Also:
        Constant Field Values

    - #### CONFIGSET

          public static final String CONFIGSET

      If you specify a configset, what is its name
      See Also:
        Constant Field Values

    - #### CONFIG

          public static final String CONFIG

      If you specify a config, what is its name
      See Also:
        Constant Field Values

    - #### INSTANCE_DIR

          public static final String INSTANCE_DIR

      Specifies a core instance dir.
      See Also:
        Constant Field Values

    - #### FILE

          public static final String FILE

      If you specify a file, what is its name
      See Also:
        Constant Field Values

    - #### INDEX_DIR

          public static final String INDEX_DIR

      If you merge indexes, what are the index directories. The directories are specified by multiple indexDir parameters.
      See Also:
        Constant Field Values

    - #### SRC_CORE

          public static final String SRC_CORE

      If you merge indexes, what is the source core's name More than one source core can be specified by multiple srcCore parameters
      See Also:
        Constant Field Values

    - #### COLLECTION

          public static final String COLLECTION

      The collection name in solr cloud
      See Also:
        Constant Field Values

    - #### REPLICA

          public static final String REPLICA

      The replica name in solr cloud
      See Also:
        Constant Field Values

    - #### SHARD

          public static final String SHARD

      The shard id in solr cloud
      See Also:
        Constant Field Values

    - #### TARGET_CORE

          public static final String TARGET_CORE

      The target core to which a split index should be written to Multiple targetCores can be specified by multiple targetCore parameters
      See Also:
        Constant Field Values

    - #### RANGES

          public static final String RANGES

      The hash ranges to be used to split a shard or an index
      See Also:
        Constant Field Values

    - #### ROLES

          public static final String ROLES

      See Also:
        Constant Field Values

    - #### REQUESTID

          public static final String REQUESTID

      See Also:
        Constant Field Values

    - #### CORE_NODE_NAME

          public static final String CORE_NODE_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_PREFIX

          public static final String PROPERTY_PREFIX

      Prefix for core property name=value pair
      See Also:
        Constant Field Values

    - #### DELETE_INDEX

          public static final String DELETE_INDEX

      If you unload a core, delete the index too
      See Also:
        Constant Field Values

    - #### DELETE_DATA_DIR

          public static final String DELETE_DATA_DIR

      See Also:
        Constant Field Values

    - #### DELETE_INSTANCE_DIR

          public static final String DELETE_INSTANCE_DIR

      See Also:
        Constant Field Values

    - #### LOAD_ON_STARTUP

          public static final String LOAD_ON_STARTUP

      See Also:
        Constant Field Values

    - #### TRANSIENT

          public static final String TRANSIENT

      See Also:
        Constant Field Values

    - #### NODE

          public static final String NODE

      See Also:
        Constant Field Values

    - #### BACKUP_REPOSITORY

          public static final String BACKUP_REPOSITORY

      A parameter to specify the name of the backup repository to be used.
      See Also:
        Constant Field Values

    - #### BACKUP_LOCATION

          public static final String BACKUP_LOCATION

      A parameter to specify the location where the backup should be stored.
      See Also:
        Constant Field Values

    - #### COMMIT_NAME

          public static final String COMMIT_NAME

      A parameter to specify the name of the commit to be stored during the backup operation.
      See Also:
        Constant Field Values

    - #### NEW_COLLECTION

          public static final String NEW_COLLECTION

      A boolean parameter specifying if a core is being created as part of a new collection
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreAdminParams

          public CoreAdminParams()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.